Subject: DSA and Presentation Address definitions from 2256

From: "Ed Reed" <[email-masked]>
Date: Mon, 30 Aug 1999 11:17:07 -0600

Mark - 

I'm trying to tie down details on the LDUP schema, and am working to understand RFC2256...

Since we'd rather not create new syntaxes for LDUP, I'm trying to avoid defining the lDAPPresentationAddress originally envisioned...and just us a distinguishedName to point to the DSA holding a replia from the Replia subentry.

However,

2256 defines DSA object class (section 7.14) as derived from ApplicationEntity (section 7.13), which has an attribute, presentationAddress (section 5.30) described as "This attribute contains an OSI presentation address", and is single-valued, to boot.  The syntax number is one of your assigned numbers, it looks like.

Has no one actually defined an LDAP DSA object class, yet?  Shall I?  It would have a multi-valued attribute specifying URIs (or perhaps a single-valued URI List?) for contacting the LDAP service, so that protocol, DNS name or ip address, and socket numbers would all be defined.

I don't want to do this unless it's absolutely necessary, but if no one has done so, so far, I will.

Thanks,
Ed

=================
Ed Reed, Technologist
Novell Product Management
+1 801 222 3944 (new number!)